Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 24 Jul 2008 23:06:26 +0200

On Thu, 24 July 2008, Dmitry Potapov wrote:
> On Wed, Jul 23, 2008 at 11:49:41PM +0200, Jakub Narebski wrote:
>> On Wed, 23 Jul 2008, Dmitry Potapov wrote:
>>> On Wed, Jul 23, 2008 at 03:25:03AM +0200, Jakub Narebski wrote:
>>>>
>>>>    02. What is your preferred non-programming language?
>>>>   (or) What is the language you want computer communicate with you?
>>> 
>>> IMHO, the later wording of the question is much better.
>> 
>> First just satisfies demographic curiosity.  Second is more question
>> about internationalization (i18n).
> 
> I think demographic is largely covered by the first question about
> country. As to i18n, I don't think it is fully covered just by the
> question about one's language preference to communicate with computer
> (which is probably is more correctly to call localization). Possible
> questions related to i18n are:
> - Do you use file names with non-ASCII characters?
> - Do you use text files with non-ASCII characters?
> - Do you (or members of your team) use computers with different
>   character sets and have to deal with non-ASCII characters?
> 
> But I guess we do not want to have so many questions. So, maybe
> something simple instead:
> - Are you satisfied with support for non-ASCII characters in Git?

But only if it is free-form question:

   xx. Are you satisfied with support for non-ASCII characters in Git?
       Yes or No?  If no, please explain what you had problems with.
       (free form, or rather Yes/No + explanation for No)

If we decide to add more questions about translating Git, I think
we should also add the following:

   xx. Which parts of Git would you like/do you need translated?
       (zero or more: multiple choice)
    -  git-gui, gitk, manpages, user's manual, commands messages

>> Should "What version do you use now?" be multiple choice (using git
>> on more than one machine / operating system)?
> 
> I think we already have another question about what OS one uses.
> So I believe it should be only version number here.

One can use Git on many different machines (for example at work, and
at home), or on multi-boot machine (with more than one operating
system).  Each of those machines, and/or each of those operating
systems can use different version of Git.  So that is why I think
this should be multiple choice, even if I guess that most people
would select only one answer.

>> What should be possible
>> choices for "How long do you use git?"?  Perhaps.
>> 
>>       10. How long do you use git?
>>           (single choice)
>>        -  never/few days/few weeks/month/few months/year/few years/
>>           from beginning/I wrote it(*)
>>        +  (*) just kidding ;-)
> 
> I would rather use numbers like that:
> 
> never
> less than month
> 1-3 months
> 3-6 months
> 6-12 months
> 1-2 year
> more than 2 years
> from the beginning

I think it is even better; I'm not sure if we shouldn't split sub-month
region, for example to provide for people who has heard of git for
first time, but played with it a little bit.

-- 
Jakub Narebski
Poland